ur_rna.Utilities

## Class OSInfo

- java.lang.Object
- - ur_rna.Utilities.OSInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class OSInfo
      extends java.lang.Object
      implements java.io.Serializable

  A class that handles checking whether an OS is a Mac, and setting general properties if that is the case.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OSInfo.OSType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static OSInfo.OSType` | `osType`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSInfo()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `applyNativeLookAndFeel()` Check the OS to see if it's a Mac, and if it is, set a few system properties to make things more "Mac-like."
    `static java.io.File` | `getDocumentsDir()`
    `static java.lang.String` | `getDocumentsDirPath()`
    `static OSInfo.OSType` | `getOSType()`
    `private static OSInfo.OSType` | `getOSType(java.lang.String osName)`
    `static boolean` | `isMac()` Get whether the current OS is a Mac.
    `static boolean` | `isNix()`
    `static boolean` | `isWin()`
    `static void` | `useNativeMenus()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### osType

          private static final OSInfo.OSType osType

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OSInfo

          public OSInfo()

  - ### Method Detail

    - #### applyNativeLookAndFeel

          public static void applyNativeLookAndFeel()

      Check the OS to see if it's a Mac, and if it is, set a few system properties to make things more "Mac-like."

    - #### getDocumentsDir

          public static java.io.File getDocumentsDir()

    - #### getDocumentsDirPath

          public static java.lang.String getDocumentsDirPath()

    - #### getOSType

          public static OSInfo.OSType getOSType()

    - #### getOSType

          private static OSInfo.OSType getOSType(java.lang.String osName)

    - #### isMac

          public static boolean isMac()

      Get whether the current OS is a Mac.
      Returns:
        True if the OS is a Mac, false if not.

    - #### isNix

          public static boolean isNix()

    - #### isWin

          public static boolean isWin()

    - #### useNativeMenus

          public static void useNativeMenus()